//---------------------------------------------------------------------------

#pragma hdrstop

#include "Chrono.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
Chrono::Chrono()
{
   acummulated=0;
   pause= true;;
}
//---------------------------------------------------------------------------
void Chrono::Start()
{
   acummulated=0;
   init = clock();
   pause= false;
}
//---------------------------------------------------------------------------
void Chrono::Stop()
{
   acummulated= clock() - init;
   pause= true;
}
//---------------------------------------------------------------------------
void Chrono::Continue()
{
 if(pause){
   init = clock();
   pause=false;
 }
}
//---------------------------------------------------------------------------
long Chrono::Milis()
{
   if( pause)
     return acummulated;
   return acummulated + clock() - init;
}
//---------------------------------------------------------------------------
const char* Chrono::Time()
{
   int milis= Milis();
   int h = milis /  ( 1000 * 60 * 60);
   int m = ( milis - h * ( 1000 * 60 * 60) )/  ( 1000 * 60 ) ;
   int s = (milis - - h * ( 1000 * 60 * 60) - m * ( 1000 * 60 ) )/  ( 1000 )  ;
   milis %=1000;
   sprintf(str,"%02d:%02d:%02d:%03d",h,m,s,milis);
   return str;
}
//---------------------------------------------------------------------------

