//---------------------------------------------------------------------------

#ifndef DictionaryH
#define DictionaryH

#include "Vector.h"
//---------------------------------------------------------------------------
class Dictionary: public Vector<string> {
  private:
  public:
     Dictionary(int dim=10);
     ~Dictionary();

     virtual void InsertOrdered(const string& str);
     virtual void Insert(const string& str);
     virtual bool ReadDict(char *file);
     virtual bool ReadFile(char *filename);
     virtual bool AppendFile(char *filename);
     virtual void WriteDict(char *filename);
     virtual bool Has(const string& str) const;

     static char chtolower(char &ch);    //converte caracters Maiusculos em minusculos
     static bool ConvertChar(char &ch); //converte caracter com acentos em caracters normais
};
#endif
