//---------------------------------------------------------------------------
#pragma hdrstop
//---------------------------------------------------------------------------
#pragma argsused
#include <conio.h>
#include "iostream.h"
#include "OrderedVector.h"
#include "Chrono.h"
#include <fstream.h>
void TestWrite();
void TestRead();
void TestAppend();
void TestWriteBin();
void TestReadBin();
void TestAppendBin();
//---------------------------
void TestWrite2();

int main(int argc, char* argv[])
{

   Chrono c;

   c.Start();
   OrderedVector<double> v;
   v.Read("mix.txt");
   //v.Read("inversed.txt");
   //v.Read("ordered.txt");
   v.Quick5();
   c.Stop();
   v.Write();
   cout<<endl<<endl<<c.Time();




  getch();
  return 0;
}
//---------------------------------------------------------------------------

void TestWrite()
{
ofstream out("dados.txt");
Vector<int> v;
  for(int i=0; i<10 ; i++ )
    v.Insert(i*10);

  v.Write(out);
  out.close();


}

void TestWrite2()
{
Vector<int> v;
  for(int i=0; i<10 ; i++ )
    v.Insert(i*10);
  v.Write("dados2.txt");

}

void TestRead()
{
  ifstream in("dados.txt");
  Vector<int> v;
  v.Read(in);
  v.Write();
  in.close();
}

void TestAppend()
{
  ifstream in("dados.txt");
  ifstream in2("dados.txt");
  Vector<int> v;
  v.Read(in);
  v.Append(in2);
  v.Write();
  in.close();
  in2.close();

}

void TestWriteBin()
{
ofstream out("dados.bin",ios::out | ios::binary);
Vector<int> v;
  for(int i=0; i<100 ; i++ )
    v.Insert(i*10);

  v.WriteBin(out);
  out.close();
}


void TestReadBin()
{
ifstream in("dados.bin",ios::in | ios::binary);
Vector<int> v;
v.ReadBin(in);
v.Write();
in.close();
}


void TestAppendBin()
{
ifstream in("dados.bin",ios::in | ios::binary);
ifstream in2("dados.bin",ios::in | ios::binary);
Vector<int> v;
v.ReadBin(in);
v.AppendBin(in2);
v.Write();
in.close();
in2.close();
}
