//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "untT9.h"
#include "LoadDic.h"
#include "About.h"
#include <fstream.h>
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
palavra=0;
tamanho[palavra]=0;
Memo1->ReadOnly=true;
Memo1->Color=clSilver;
Memo1->Font->Size=10;
text="";

   //--------------tentar encontrar um dicionario---------------
   if(FileExists("dicpt.txt")){
      file="dicpt.txt";
      Form1->dic.ReadDict((char*)file.c_str());
      Form1->Portugus1->Checked=true;
   }else if (FileExists("diceng.txt")){
      file="diceng.txt";
      Form1->dic.ReadDict((char*)file.c_str());
      Form1->Portugus1->Checked=true;
   }else if (FileExists("dicfr.txt")){
      file="dicfr.txt";
      Form1->dic.ReadDict((char*)file.c_str());
      Form1->Portugus1->Checked=true;
   }else if (FileExists("dic.txt")){
      file="dic.txt";
      Form1->dic.ReadDict((char*)file.c_str());
      Form1->Portugus1->Checked=true;
   }else{
      file="";
      MessageDlg("No Existem dicionarios para serem carregados",
                      mtWarning, TMsgDlgButtons() <<  mbOK, 0);
   }
   //-------------------------------------------------------------

end=false;
pos[palavra]=0;
sim_pos=1;
sim=" .,-?!'@:";

}
//---------------------------------------------------------------------------
void __fastcall TForm1::btn12Click(TObject *Sender)
{

 if (tamanho[palavra]>0){

    if (text.size()>0 && text[text.size()-1]=='.')
        text[text.size()-1]='-';

    bool anular;
    bool tentar=false;
    string orig;
    string rep=word;

    while(true){
        anular=false;
 ////////////////////////////////////////
        orig=dic[pos[palavra]].c_str();
        orig.resize(tamanho[palavra]);
 ////////////////////////////////////////
        word=dic[pos[palavra]].c_str();
        word.resize(tamanho[palavra]);

 ////////////////////trocar caracters esquezitos
        for (int j=tamanho[palavra]-1;j>=0;j--)
           if (!Dictionary::ConvertChar(word[j]))
                anular=true;
 ///////////////////////////////////////////////

        
        if (/*word[0]>letras[palavra][0][1] || */pos[palavra]>=dic.Elements()){
           pos[palavra]=0;
           if(tentar){
              /*Memo1->Clear();
              Memo1->SetSelTextBuf((char*)text.c_str());
              for(int i=tamanho[palavra];i>0;i--)
                 Memo1->SetSelTextBuf("*");*/

              if (!end)//
                 Memo1->SetSelTextBuf("?");//
              if(!end && MessageDlg("Deseja introduzir nova palavra" ,
                 mtConfirmation, TMsgDlgButtons() <<  mbYes <<  mbNo, 0)
                 == mrYes ){
                 addClick(Sender);
                 for(int i=tamanho[palavra];i>0;i--)
                    btncClick(Sender);
              }else{
                 end=true;//
                 word=rep;
              }
              break;
           }
           tentar=true;
           continue;
        }

        //if (v[pos[palavra]++].size()!=tamanho[palavra])
        if (dic[pos[palavra]++].size()<tamanho[palavra])//
                continue;


        ////////////////////////////////////////
        if (rep==orig && !tentar)
                continue;

        for (int j=tamanho[palavra]-1;j>=0;j--)
           if (word[j]>letras[palavra][j][1] || word[j]<letras[palavra][j][0]){
              anular=true;
              break;
           }

        if(anular)
                continue;

        word=orig;
        Memo1->Clear();
        Memo1->SetSelTextBuf((char*)text.c_str());
        Memo1->SetSelTextBuf((char*)word.c_str());
        pos[palavra]--;
        break;

    }
 }
 else{

       if(text.size()>0){
          char ch=text[text.size()-1];
          Dictionary::ConvertChar(ch);
          if (ch>'z' || ch<'a'){
             sim_pos++;
             if (sim_pos>8)
                sim_pos=0;
             text.resize(text.size()-1);
             btnClick(Sender);
          }
       }

   }
   Memo1->SetFocus();

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn2Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="ac";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn3Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="df";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn4Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="gi";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn5Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="jl";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn6Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="mo";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn7Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="ps";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn8Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="tv";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btn9Click(TObject *Sender)
{
   if (!end){
        letras[palavra][tamanho[palavra]++]="wz";
        btn12Click(Sender);
   }

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btncClick(TObject *Sender)
{

   if (tamanho[palavra]>0){
      tamanho[palavra]--;
      pos[palavra]=0;
      end=false;
      if (tamanho[palavra]>0)
         btn12Click(Sender);
      else{
         Memo1->Clear();
         Memo1->SetSelTextBuf((char*)text.c_str());
      }
      
   }else{

      if(text.size()>0){
         char ch=text[text.size()-2];
         Dictionary::ConvertChar(ch);
         if (ch>'z' || ch<'a'){
            text.resize(text.size()-1);
            Memo1->Clear();
            Memo1->SetSelTextBuf((char*)text.c_str());
         }else if (palavra>0){
            palavra--;
            text.resize(text.size()-tamanho[palavra]-1);
            ch=text[text.size()-1];
            Dictionary::ConvertChar(ch);
            while (ch<='z' && ch>='a'){
               text.resize(text.size()-1);
               ch=text[text.size()-1];
               Dictionary::ConvertChar(ch);
            }
            Memo1->Clear();
            Memo1->SetSelTextBuf((char*)text.c_str());
            word="";
            //pos[palavra]--;
            btn12Click(Sender);
         }
      }
   }
   Memo1->SetFocus();

}
//---------------------------------------------------------------------------


void __fastcall TForm1::btn11Click(TObject *Sender)
{

sim_pos=0;
btnClick(Sender);

}
//---------------------------------------------------------------------------


void __fastcall TForm1::btn1Click(TObject *Sender)
{

sim_pos=1;
btnClick(Sender);

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnClick(TObject *Sender)
{

if (end)
   btncClick(Sender);

if (tamanho[palavra]>0){
   text.append(word);
   text+=sim[sim_pos];
   Memo1->Clear();
   Memo1->SetSelTextBuf((char*)text.c_str());
   palavra++;
   tamanho[palavra]=0;
   pos[palavra]=0;
}else {
   text+=sim[sim_pos];
   Memo1->Clear();
   Memo1->SetSelTextBuf((char*)text.c_str());
}

}
//---------------------------------------------------------------------------

void __fastcall TForm1::btncomClick(TObject *Sender)
{

 if (tamanho[palavra]>0){

    bool anular;
    bool tentar=false;
    string orig;
    //string rep=word;

    while(true){
        anular=false;
 ////////////////////////////////////////
        orig=dic[pos[palavra]].c_str();
        word=dic[pos[palavra]].c_str();

 ////////////////////trocar caracters esquezitos
        for (int j=word.size()-1;j>=0;j--)
           if (!Dictionary::ConvertChar(word[j]))
                anular=true;
 ///////////////////////////////////////////////

        if (/*word[0]>letras[palavra][0][1] || */pos[palavra]>=dic.Elements()){
           pos[palavra]=0;
           if(tentar){
              if (!end){
                 Memo1->SetSelTextBuf("?");
                 tamanho[palavra]++;
              }
              if(!end && MessageDlg("Deseja introduzir nova palavra" ,
                 mtConfirmation, TMsgDlgButtons() <<  mbYes <<  mbNo, 0)
                 == mrYes ){
                 addClick(Sender);
                 for(int i=tamanho[palavra];i>0;i--)
                    btncClick(Sender);
              }else{
                 end=true;//
                 //word=rep;
              }
              break;
           }
           tentar=true;
           continue;
        }

        if (dic[pos[palavra]++].size()<=tamanho[palavra])
                continue;

        ////////////////////////////////////////
        //if (rep==orig && !tentar)
          //      continue;

        for (int j=tamanho[palavra]-1;j>=0;j--)
           if (word[j]>letras[palavra][j][1] || word[j]<letras[palavra][j][0]){
              anular=true;
              break;
           }

        if(anular)
                continue;

        word=orig;
        Memo1->Clear();
        Memo1->SetSelTextBuf((char*)text.c_str());
        Memo1->SetSelTextBuf((char*)word.c_str());
        break;

    }
 }
 Memo1->SetFocus();

}
//---------------------------------------------------------------------------


void __fastcall TForm1::addClick(TObject *Sender)
{

if (file!=""){
bool anular=false;
string new_word,orig;
AnsiString wd="";
   if ( InputQuery("Introduza a palavra a adicionar", "Palavra:", wd) )
   {
       if (Form1->dic.Has(orig)){
          ShowMessage("A palavra j existe");
          return;
       }

       if (word=="")
          anular=true;

       new_word=wd.c_str();
       orig=new_word;
       for (int j=new_word.size()-1;j>=0;j--)
           if (!Dictionary::ConvertChar(new_word[j]))
                anular=true;
       if (anular)
          ShowMessage("A palavra no  vlida");
       else{
          dic.InsertOrdered(orig);
          dic.WriteDict((char*)file.c_str());
          ShowMessage("A palavra foi adicionada com sucesso");
       }
   }
}
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Portugus1Click(TObject *Sender)
{

if (dic.ReadDict("dicpt.txt")){
   file="dicpt.txt";
   Form1->Portugus1->Checked=true;
   Form1->Ingls1->Checked=false;
   Form1->Francs1->Checked=false;
   Form1->Outro1->Checked=false;
}else
   ShowMessage("O dicionrio no existe");

}
//---------------------------------------------------------------------------

void __fastcall TForm1::Ingls1Click(TObject *Sender)
{

if (dic.ReadDict("diceng.txt")){
   file="diceng.txt";
   Form1->Portugus1->Checked=false;
   Form1->Ingls1->Checked=true;
   Form1->Francs1->Checked=false;
   Form1->Outro1->Checked=false;
}else
   ShowMessage("O dicionrio no existe");

}
//---------------------------------------------------------------------------

void __fastcall TForm1::Francs1Click(TObject *Sender)
{

if (dic.ReadDict("dicfr.txt")){
   file="dicfr.txt";
   Form1->Portugus1->Checked=false;
   Form1->Ingls1->Checked=false;
   Form1->Francs1->Checked=true;
   Form1->Outro1->Checked=false;
}else
   ShowMessage("O dicionrio no existe");

}
//---------------------------------------------------------------------------


void __fastcall TForm1::Outro1Click(TObject *Sender)
{

if(OpenDialog1->Execute())
{
       if(FileExists(OpenDialog1->FileName))
       {
           file=OpenDialog1->FileName.c_str();
           dic.ReadDict((char*)file.c_str());
           Form1->Portugus1->Checked=false;
           Form1->Ingls1->Checked=false;
           Form1->Francs1->Checked=false;
           Form1->Outro1->Checked=true;
       }
       else
       {
           MessageDlg("O Ficheiro \n" + OpenDialog1->FileName + "\nNo Existe",
                      mtError, TMsgDlgButtons() <<  mbOK, 0);
       }
}

}
//---------------------------------------------------------------------------

void __fastcall TForm1::Removerpalavra1Click(TObject *Sender)
{
Form2->ShowModal();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Sair1Click(TObject *Sender)
{
Form1->Close();
}
//---------------------------------------------------------------------------



void __fastcall TForm1::FormShow(TObject *Sender)
{
           dic.ReadDict((char*)file.c_str());
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Sobre1Click(TObject *Sender)
{
Form3->ShowModal();
}
//---------------------------------------------------------------------------

